package com.khmer9.kdmain.app

import com.khmer9.kdmain.remote.CreateBettingData
import com.khmer9.kdmain.remote.CurrentBettingMobile
import com.khmer9.kdmain.util.Event

data class ShareViewState(
    val initial: Boolean = true,
    val isProgress: Boolean = false,
    val error: String? = null,
    val nextNo: String? = null,
    val previousBettingList: MutableList<CurrentBettingMobile>? = null,
    val accountBalance: String? = null,
    val isAutoPrint: Event<Boolean>? = null,
    var createBettingData: CreateBettingData? = null,
    var isBetSuccess: Boolean = false,
    val betError: String? = null,
    val lastResult: String? = null,
)